Send a friend invite
Invites someone to connect by email address.
POST
/v1/invites
const url = 'https://api.shiftsync.app/v1/invites';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"emailAddress":"user@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.shiftsync.app/v1/invites \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "emailAddress": "user@example.com" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
emailAddress
required
string format: email
Example
{ "emailAddress": "user@example.com"}Responses
Section titled “Responses”Invite sent
Media typeapplication/json
object
success
required
boolean
Example
{ "success": true}